import { axiosInstance, ApiBase } from "./common";
import { PRODUCTS_API_URL } from "../const";

const baseUrl = `${PRODUCTS_API_URL}/products`;

class ProductsApi extends ApiBase {
    get = async (productId) => {
        return axiosInstance.get(`${baseUrl}/${productId}`, {});
    };
}

export const productsApi = new ProductsApi();
